Belune
File Mounts

Update Mount

PUT
/api/projects/{projectId}/applications/{applicationId}/file-mounts/{fileMountId}
AuthorizationBearer <token>

Personal access token whose scope satisfies write.

In: header

Path Parameters

projectId*string
Formatuuid
applicationId*string
Formatuuid
fileMountId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/applications/497f6eca-6276-4993-bfeb-53cbbbba6f08/file-mounts/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "content": "string",  "content_masked": true,  "created_at": "string",  "file_mode": "string",  "id": "string",  "is_secret": true,  "mount_path": "string"}